Skip to main content

POST /v1/tiktok/ads/search_ads

Search ads

stable · 2 credits per success

Search ads in TikTok's Creative Center with multi-dimensional filtering and sorting;Discover effective ad cases related to specific industries, keywords, or objectives;Provide reference and inspiration for ad planning and creative production;keyword: Search keyword, optional, returns all ads if empty;objective: Optional ad objective; omit it to include all objectives;like: Optional performance pe…

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s -X POST 'https://api.wellbyte.net/v1/tiktok/ads/search_ads' \
  -H "Authorization: Bearer dg_live_…" \
  -H "Content-Type: application/json" \
  -d '{"like":0,"page":1,"limit":20,"cookie":"demo","period":180,"keyword":"咖啡","duration":0,"industry":"demo","order_by":"for_you","ad_format":0,"objective":0,"search_id":"demo","ad_language":"demo","country_code":"US","pattern_label":"demo"}'

Response

Sample captured 2026-09-23

data{
code:0
data{
materials[ 2 items ]
pagination{ 4 items }
}
meta{
endpoint:"tiktok.ads.search_ads"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    likeintegerbodyno表现排名(可选)0
    pageintegerbodyno页码1
    limitintegerbodyno每页数量20
    cookiestringbodyno自定义Cookie字符串(可选)demo
    periodintegerbodyno时间段180
    keywordstringbodyno搜索关键词咖啡
    durationintegerbodyno视频时长筛选值(可选)0
    industrystringbodyno行业IDdemo
    order_bystringbodyno排序方式for_you
    ad_formatintegerbodyno广告格式(可选)0
    objectiveintegerbodyno广告目标类型(可选)0
    search_idstringbodyno搜索ID(可选)demo
    ad_languagestringbodyno广告语言(可选)demo
    country_codestringbodyno国家代码US
    pattern_labelstringbodyno创意趋势标签(可选)demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All TikTok endpoints →

    Search

    Search endpoints and docs